## toxic 0.6.0+git20150708.r1537-1~trusty+1+7.0trisquel1

=== Makefile ===
BASE_DIR = $(shell pwd -P)
CFG_DIR = $(BASE_DIR)/cfg

-include $(CFG_DIR)/global_vars.mk

LIBS = libtoxcore ncursesw libconfig

CFLAGS = -std=gnu99 -pthread -Wall -g
CFLAGS += '-DTOXICVER="$(VERSION)"' -DHAVE_WIDECHAR -D_XOPEN_SOURCE_EXTENDED -D_FILE_OFFSET_BITS=64
CFLAGS += '-DPACKAGE_DATADIR="$(abspath $(DATADIR))"'
CFLAGS += $(USER_CFLAGS)
LDFLAGS = $(USER_LDFLAGS)

OBJ = chat.o chat_commands.o configdir.o dns.o execute.o file_transfers.o notify.o
OBJ += friendlist.o global_commands.o groupchat.o line_info.o input.o help.o autocomplete.o
OBJ += log.o misc_tools.o prompt.o settings.o toxic.o toxic_strings.o windows.o message_queue.o
OBJ += group_commands.o term_mplex.o avatars.o

# Check on wich system we are running
UNAME_S = $(shell uname -s)
ifeq ($(UNAME_S), Linux)
    -include $(CFG_DIR)/systems/Linux.mk
endif
ifeq ($(UNAME_S), FreeBSD)
    -include $(CFG_DIR)/systems/FreeBSD.mk
endif
ifeq ($(UNAME_S), OpenBSD)
    -include $(CFG_DIR)/systems/FreeBSD.mk
endif
ifeq ($(UNAME_S), Darwin)
    -include $(CFG_DIR)/systems/Darwin.mk
endif
ifeq ($(UNAME_S), Solaris)
    -include $(CFG_DIR)/systems/Solaris.mk
endif

# Check on which platform we are running
UNAME_M = $(shell uname -m)
ifeq ($(UNAME_M), x86_64)
    -include $(CFG_DIR)/platforms/x86_64.mk
endif
ifneq ($(filter %86, $(UNAME_M)),)
    -include $(CFG_DIR)/platforms/x86.mk
endif
ifneq ($(filter arm%, $(UNAME_M)),)
    -include $(CFG_DIR)/platforms/arm.mk
endif

# Include all needed checks
-include $(CFG_DIR)/checks/check_features.mk

# Fix path for object files
OBJ := $(addprefix $(BUILD_DIR)/, $(OBJ))

# Targets
all: $(BUILD_DIR)/toxic

$(BUILD_DIR)/toxic: $(OBJ)
	@echo "  LD    $(@:$(BUILD_DIR)/%=%)"
	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/toxic $(OBJ) $(LDFLAGS)

$(BUILD_DIR)/%.o: $(SRC_DIR)/%.c
	@if [ ! -e $(BUILD_DIR) ]; then \
		mkdir -p $(BUILD_DIR) ;\
	fi
	@echo "  CC    $(@:$(BUILD_DIR)/%=%)"
	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/$*.o -c $(SRC_DIR)/$*.c
	@$(CC) -MM $(CFLAGS) $(SRC_DIR)/$*.c > $(BUILD_DIR)/$*.d

clean:
	rm -f $(BUILD_DIR)/*.d $(BUILD_DIR)/*.o $(BUILD_DIR)/toxic

-include $(BUILD_DIR)/$(OBJ:.o=.d)

-include $(CFG_DIR)/targets/*.mk

.PHONY: clean all

=== debian/changelog ===
toxic (0.6.0+git20150708.r1537-1~trusty+1+7.0trisquel1) belenos; urgency=medium

  * Bring Tox to Trisquel from PPA

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 11 Jul 2015 20:08:30 +0000

toxic (0.6.0+git20150708.r1537-1~trusty+1) trusty; urgency=medium

  * Backport to Trusty

 -- Kill Your TV <killyourtv@i2pmail.org>  Fri, 10 Jul 2015 13:20:13 +0000

toxic (0.6.0+git20150708.r1537-1) unstable; urgency=medium

  [ Jfreegman ]
  * Add option to enable acting as TCP relay server
  * Update dht nodes list and fix URL's

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 09 Jul 2015 21:31:59 +0000

toxic (0.6.0+git20150630.r1535-1) unstable; urgency=medium

  [ Jfreegman ]
  * update translations
  * Revert commit 312d0c3 (localization/gettext) There were serious problems
    with branch merging that need to be resolved first

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 08 Jul 2015 11:15:00 +0000

toxic (0.6.0+git20150630.r1533-1) unstable; urgency=medium

  [ Jfreegman ]
  * Fix some possible race conditions related to line printing

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 02 Jul 2015 21:51:09 +0000

toxic (0.6.0+git20150629.r1532-1) unstable; urgency=medium

  [ Ansa89 ]
  * Add localization system (gettext)

  [ Jfreegman ]
  * s/tox.im/tox.chat/g -- reflect new tox domain

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Mon, 29 Jun 2015 18:53:35 +0000

toxic (0.6.0+git20150524.r1525-1) unstable; urgency=medium

  [ Jfreegman ]
  * default tox options on initialization
  * toxcore API changes to tox_new
  * separate bootstrapping and adding TCP relays per toxcore API changes

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Mon, 25 May 2015 22:46:35 +0000

toxic (0.6.0+git20150414.r1522-1) unstable; urgency=medium

  [ Jfreegman ]
  * correctly handle tox_new errors

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 15 Apr 2015 22:13:32 +0000

toxic (0.6.0+git20150413.r1521-1) unstable; urgency=medium

  [ Jfreegman ]
  * null terminate status message
  * try to fall back to ipv4 if tox fails to init with ipv6
  * not clear which error message is given for ipv6 failure

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 14 Apr 2015 09:37:45 +0000

toxic (0.6.0+git20150409.r1518-1) unstable; urgency=medium

  [ Ansa89 ]
  * Makefile: try to fix Tox/toxic#307

  [ Jfreegman ]
  * fix possible segfault

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 09 Apr 2015 09:12:57 +0000

toxic (0.6.0+git20150404.r1516-1) unstable; urgency=medium

  [ Jfreegman ]
  * re-implement friendlist last seen
  * re-implement avatar setting
  * fix a few avatar bugs

  [ Kill Your TV ]
  * New usptream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 09 Apr 2015 09:12:36 +0000

toxic (0.6.0+git20150331.r1507-1) unstable; urgency=medium

  [ Jfreegman ]
  * fix encryption API breakage

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Thu, 02 Apr 2015 21:56:43 +0000

toxic (0.6.0+git20150331.r1506-1) unstable; urgency=medium

  [ Jfreegman ]
  * remove non-existant group commands
  * fix bug where contacts would appear online twice in a row

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 01 Apr 2015 01:04:21 +0000

toxic (0.6.0+git20150329.r1504-1) unstable; urgency=medium

  [ Jfreegman ]
  * Refactor and clean up file transfers (No longer rely on undefined core
    filenumber property for indexing)
  * fix bootstrapping
  * small fix
  * a few small filetransfer fixes

  [ Kill Your TV ]
  * Explicitly build depend on a the newapi version of toxcore
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 31 Mar 2015 00:16:34 +0000

toxic (0.6.0-1) unstable; urgency=medium

  [ Ansa89 ]
  * Move makefile into root directory
  * Fix travis build
  * Makefile: be less aggressive when cleaning
  * README.md: fix typo

  [ Jfreegman ]
  * begin port to new API
  * Mostly finished with new API port - File transfers currently don't support
    pausing/resuming - Avatars are not yet done

  [ Kill Your TV ]
  * New upstream release

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 28 Mar 2015 12:54:20 +0000

toxic (0.5.2+20150318.r1490-1) unstable; urgency=medium

  [ Henrique N. Lengler ]
  * Add OpenBSD option to Makefile
  * added gnumake as dep., because you can't compile with *BSDmake

  [ Ansa89 ]
  * Some cosmetics changes

  [ jlo ]
  * added tab autocomplete for "/status o" => "/status online"

  [ Andrey Alekseenko ]
  * Fixing couple leaking file descriptors

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Wed, 18 Mar 2015 20:37:31 +0000

toxic (0.5.2+20150313.r1480-1) unstable; urgency=medium

  [ fr33domlover ]
  * Add support for auto-away based on screen attach/detach

  [ Jfreegman ]
  * use pthread for mplex detach polling for better portability
  * fix auto-away bugs Manually set aways no longer unaway when they
    shouldn't, and busy status is no longer overridden

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Sat, 14 Mar 2015 02:14:37 +0000

toxic (0.5.2+20150226.r1478-1) unstable; urgency=medium

  [ fr33domlover ]
  * Add support for auto-away based on screen attach/detach

  [ Kill Your TV ]
  * New upstream git snapshot

 -- Kill Your TV <killyourtv@i2pmail.org>  Tue, 10 Mar 2015 01:14:01 +0000

toxic (0.5.2+20150223.r1477-1) unstable; urgency=medium

  [ Spagy ]
  * Correct filename comment from main.c to toxic.c

  [ Loui Chang ]
  * Fix whitespace



=== debian/control ===
Source: toxic
Section: net
Priority: optional
Maintainer: Kill Your TV <killyourtv@i2pmail.org>
Build-Depends: debhelper (>= 9),
 libalut-dev,
 libconfig-dev,
 libncursesw5-dev,
# libnotify-dev,
 libopenal-dev,
 libtoxav-dev (>= 0.0.0+20150403.r3300),
 libtoxcore-dev (>= 0.0.0+20150403.r3300),
 libtoxdns-dev (>= 0.0.0+20140928.1),
 libtoxencryptsave-dev (>= 0.0.0+20150403.r3300)
Standards-Version: 3.9.6
Homepage: https://github.com/Tox/toxic
Vcs-Git: git://killyourtv.i2p/git/toxic.git
Vcs-Browser: http://killyourtv.i2p/gitweb/?p=toxic.git

Package: toxic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reference CLI for Tox
 Toxic is a Tox-based instant messenging client which formerly resided in the
 Tox core repository, and is now available as a standalone application.

Package: toxic-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 toxic (= ${binary:Version}),
 libtoxdns-dbg,
 libtoxencryptsave-dbg,
 libtoxcore-dbg,
 libtoxav-dbg
Description: Reference CLI for Tox - debugging symbols
 Toxic is a Tox-based instant messenging client which formerly resided in the
 Tox core repository, and is now available as a standalone application.
 .
 This package contains the symbols needed for debugging toxic.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@  --parallel

export USER_CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -ggdb
export USER_LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_OS),kfreebsd)
export USER_LDFLAGS += -lresolv
endif

override_dh_auto_build:
	$(MAKE) PREFIX=/usr DESTDIR=$(CURDIR)/debian/toxic

override_dh_auto_clean:
	make clean
	dh_clean

override_dh_auto_install:
	$(MAKE) install PREFIX=/usr DESTDIR=$(CURDIR)/debian/toxic DISABLE_X11=1

override_dh_strip:
	dh_strip --dbg-package=toxic-dbg

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/toxic-$1.tar.gz/" \
         https://github.com/Tox/toxic/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## toxic 0.8.3

=== Makefile ===
--- 
+++ 
@@ -3,35 +3,36 @@
 
 -include $(CFG_DIR)/global_vars.mk
 
-LIBS = libtoxcore ncursesw libconfig
+LIBS = toxcore ncursesw libconfig libcurl
 
-CFLAGS = -std=gnu99 -pthread -Wall -g
+CFLAGS ?= -g
+CFLAGS += -std=gnu99 -pthread -Wall -fstack-protector-all
 CFLAGS += '-DTOXICVER="$(VERSION)"' -DHAVE_WIDECHAR -D_XOPEN_SOURCE_EXTENDED -D_FILE_OFFSET_BITS=64
 CFLAGS += '-DPACKAGE_DATADIR="$(abspath $(DATADIR))"'
-CFLAGS += $(USER_CFLAGS)
-LDFLAGS = $(USER_LDFLAGS)
+CFLAGS += ${USER_CFLAGS}
+LDFLAGS ?=
+LDFLAGS += ${USER_LDFLAGS}
 
-OBJ = chat.o chat_commands.o configdir.o dns.o execute.o file_transfers.o notify.o
-OBJ += friendlist.o global_commands.o groupchat.o line_info.o input.o help.o autocomplete.o
-OBJ += log.o misc_tools.o prompt.o settings.o toxic.o toxic_strings.o windows.o message_queue.o
-OBJ += group_commands.o term_mplex.o avatars.o
+OBJ = autocomplete.o avatars.o bootstrap.o chat.o chat_commands.o configdir.o curl_util.o execute.o
+OBJ += file_transfers.o friendlist.o global_commands.o group_commands.o groupchat.o help.o input.o
+OBJ += line_info.o log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
+OBJ += term_mplex.o toxic.o toxic_strings.o windows.o
 
 # Check on wich system we are running
 UNAME_S = $(shell uname -s)
 ifeq ($(UNAME_S), Linux)
-    -include $(CFG_DIR)/systems/Linux.mk
-endif
-ifeq ($(UNAME_S), FreeBSD)
-    -include $(CFG_DIR)/systems/FreeBSD.mk
+LDFLAGS += -ldl -lrt
 endif
 ifeq ($(UNAME_S), OpenBSD)
-    -include $(CFG_DIR)/systems/FreeBSD.mk
+LIBS := $(filter-out ncursesw, $(LIBS))
+LDFLAGS += -lncursesw
+endif
+ifeq ($(UNAME_S), NetBSD)
+LIBS := $(filter-out ncursesw, $(LIBS))
+LDFLAGS += -lncursesw
 endif
 ifeq ($(UNAME_S), Darwin)
     -include $(CFG_DIR)/systems/Darwin.mk
-endif
-ifeq ($(UNAME_S), Solaris)
-    -include $(CFG_DIR)/systems/Solaris.mk
 endif
 
 # Check on which platform we are running
@@ -59,6 +60,10 @@
 	@echo "  LD    $(@:$(BUILD_DIR)/%=%)"
 	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/toxic $(OBJ) $(LDFLAGS)
 
+$(BUILD_DIR)/osx_video.o: $(SRC_DIR)/$(OSX_VIDEO)
+	@echo "  CC    $(@:$(BUILD_DIR)/)osx_video.o"
+	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/osx_video.o -c $(SRC_DIR)/$(OSX_VIDEO)
+
 $(BUILD_DIR)/%.o: $(SRC_DIR)/%.c
 	@if [ ! -e $(BUILD_DIR) ]; then \
 		mkdir -p $(BUILD_DIR) ;\

=== debian/changelog ===
toxic (0.8.3-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:40:16 +0000

toxic (0.8.3-2) unstable; urgency=medium

  * Source only upload for testing migration.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 13 Jan 2020 08:31:12 +0100

toxic (0.8.3-1) unstable; urgency=medium

  * Initial release. (Closes: #764071)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 09 Oct 2019 11:01:58 +0200

=== debian/control ===
Source: toxic
Section: net
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), libtoxcore-dev, libncursesw5-dev,
 libcurl4-gnutls-dev | libcurl4-openssl-dev, libqrencode-dev, libopenal-dev,
 libalut-dev, libnotify-dev, python3-dev, asciidoc, libconfig-dev
Standards-Version: 4.4.1
Homepage: https://github.com/JFreegman/toxic
#Vcs-Browser: https://salsa.debian.org/debian/toxic
#Vcs-Git: https://salsa.debian.org/debian/toxic.git

Package: toxic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: curses Tox based instant messenging client
 This is a Tox-based instant messenging client which formerly resided in
 the Tox core repository, and is now available as a standalone
 application.
 .
 Tox is a secure and distributed Skype replacement.
 .
 At its heart it’s a client dealing with our core library communicating
 on our own protocol. All communications are encrypted using the peer
 audited NaCl cypto library and this encryption can not be turned off.
 .
 Tox is powered by a distributed network which uses P2P connections for
 chats between people, unlike other Skype replacements no federated
 servers, centralized servers, or supernodes are used.

## toxic 0.10.1

=== Makefile ===
--- 
+++ 
@@ -5,8 +5,7 @@
 
 LIBS = toxcore ncursesw libconfig libcurl
 
-CFLAGS ?= -g
-CFLAGS += -std=gnu99 -pthread -Wall -fstack-protector-all
+CFLAGS ?= -std=c99 -pthread -Wall -Wpedantic -Wunused -fstack-protector-all -Wvla -Wno-missing-braces
 CFLAGS += '-DTOXICVER="$(VERSION)"' -DHAVE_WIDECHAR -D_XOPEN_SOURCE_EXTENDED -D_FILE_OFFSET_BITS=64
 CFLAGS += '-DPACKAGE_DATADIR="$(abspath $(DATADIR))"'
 CFLAGS += ${USER_CFLAGS}
@@ -14,9 +13,25 @@
 LDFLAGS += ${USER_LDFLAGS}
 
 OBJ = autocomplete.o avatars.o bootstrap.o chat.o chat_commands.o configdir.o curl_util.o execute.o
-OBJ += file_transfers.o friendlist.o global_commands.o group_commands.o groupchat.o help.o input.o
+OBJ += file_transfers.o friendlist.o global_commands.o conference_commands.o conference.o help.o input.o
 OBJ += line_info.o log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
 OBJ += term_mplex.o toxic.o toxic_strings.o windows.o
+
+# Check if debug build is enabled
+RELEASE := $(shell if [ -z "$(ENABLE_RELEASE)" ] || [ "$(ENABLE_RELEASE)" = "0" ] ; then echo disabled ; else echo enabled ; fi)
+ifneq ($(RELEASE), enabled)
+	CFLAGS += -O0 -g -DDEBUG
+	LDFLAGS += -O0
+else
+	CFLAGS += -O2 -flto
+	LDFLAGS += -O2 -flto
+endif
+
+# Check if LLVM Address Sanitizer is enabled
+ASAN := $(shell if [ -z "$(ENABLE_ASAN)" ] || [ "$(ENABLE_ASAN)" = "0" ] ; then echo disabled ; else echo enabled ; fi)
+ifneq ($(ASAN), disabled)
+	CFLAGS += -fsanitize=address -fno-omit-frame-pointer
+endif
 
 # Check on wich system we are running
 UNAME_S = $(shell uname -s)
@@ -70,7 +85,7 @@
 	fi
 	@echo "  CC    $(@:$(BUILD_DIR)/%=%)"
 	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/$*.o -c $(SRC_DIR)/$*.c
-	@$(CC) -MM $(CFLAGS) $(SRC_DIR)/$*.c > $(BUILD_DIR)/$*.d
+	@$(CC) -MM $(CFLAGS) $(SRC_DIR)/$*.c >$(BUILD_DIR)/$*.d
 
 clean:
 	rm -f $(BUILD_DIR)/*.d $(BUILD_DIR)/*.o $(BUILD_DIR)/toxic

=== debian/changelog ===
toxic (0.10.1-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Added Rules-Requires-Root.
    - Bump standards version to 4.5.1.
    - Bump debhelper version to 13.
    - Replace first person in long description.
  * d/upstream/metadata: added.
  * d/copyright: update years.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 01 Feb 2021 09:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 12), libtoxcore-dev, libncursesw5-dev,
+Build-Depends: debhelper-compat (= 13), libtoxcore-dev, libncursesw5-dev,
  libcurl4-gnutls-dev | libcurl4-openssl-dev, libqrencode-dev, libopenal-dev,
  libalut-dev, libnotify-dev, python3-dev, asciidoc, libconfig-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://github.com/JFreegman/toxic
 #Vcs-Browser: https://salsa.debian.org/debian/toxic
 #Vcs-Git: https://salsa.debian.org/debian/toxic.git
@@ -20,8 +21,8 @@
  .
  Tox is a secure and distributed Skype replacement.
  .
- At its heart it’s a client dealing with our core library communicating
- on our own protocol. All communications are encrypted using the peer
+ At its heart it’s a client dealing with its core library communicating
+ on its own protocol. All communications are encrypted using the peer
  audited NaCl cypto library and this encryption can not be turned off.
  .
  Tox is powered by a distributed network which uses P2P connections for

## toxic 0.11.1

=== debian/changelog ===
toxic (0.11.1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:25:51 +1100

toxic (0.11.1-3build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:28:25 +0000

toxic (0.11.1-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 08:29:32 +0000

toxic (0.11.1-3) unstable; urgency=medium

  * QA upload.
  * Fix format string in mvwprintw calls (Closes: #996630)
  * Get rid of pedantic build flags not to break too often

 -- Bastian Germann <bage@debian.org>  Sat, 16 Oct 2021 23:26:12 +0200

toxic (0.11.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 09 Sep 2021 09:42:20 +0200

toxic (0.11.1-1) experimental; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 30 Jun 2021 14:35:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: toxic
 Section: net
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), libtoxcore-dev, libncursesw5-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13), libtoxcore-dev, libncurses-dev,
  libcurl4-gnutls-dev | libcurl4-openssl-dev, libqrencode-dev, libopenal-dev,
  libalut-dev, libnotify-dev, python3-dev, asciidoc, libconfig-dev
 Standards-Version: 4.5.1

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

## toxic 0.11.3

=== Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 LDFLAGS += ${USER_LDFLAGS}
 
 OBJ = autocomplete.o avatars.o bootstrap.o chat.o chat_commands.o configdir.o curl_util.o execute.o
-OBJ += file_transfers.o friendlist.o global_commands.o conference_commands.o conference.o help.o input.o
-OBJ += line_info.o log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
+OBJ += file_transfers.o friendlist.o global_commands.o conference_commands.o conference.o help.o input.o line_info.o
+OBJ += log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
 OBJ += term_mplex.o toxic.o toxic_strings.o windows.o
 
 # Check if debug build is enabled

=== debian/changelog ===
toxic (0.11.3-1) unstable; urgency=medium

  * QA upload.

  * New upstream version 0.11.3
    - Newer versions like 0.12.0 fail to build.
  * Dropped Fix-format-string-in-mvwprintw patch now included upstream.
  * Moved install prefix setting to d/rules and drop obsolete patch install-target.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Oct 2024 06:30:23 +0200

toxic (0.11.1-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Added 1000-mime-desktop-exec.patch to fix lintian reported typo in
    XDG desktop file.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Oct 2024 23:27:00 +0200

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/tox/toxic/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## toxic 201705051709~f858714mx17+1

=== Makefile ===
BASE_DIR = $(shell pwd -P)
CFG_DIR = $(BASE_DIR)/cfg

-include $(CFG_DIR)/global_vars.mk

LIBS = libtoxcore ncursesw libconfig libqrencode

CFLAGS = -std=gnu99 -pthread -Wall -g -fstack-protector-all
CFLAGS += '-DTOXICVER="$(VERSION)"' -DHAVE_WIDECHAR -D_XOPEN_SOURCE_EXTENDED -D_FILE_OFFSET_BITS=64
CFLAGS += '-DPACKAGE_DATADIR="$(abspath $(DATADIR))"'
CFLAGS += $(USER_CFLAGS)
LDFLAGS = $(USER_LDFLAGS)

OBJ = autocomplete.o avatars.o bootstrap.o chat.o chat_commands.o configdir.o curl_util.o execute.o
OBJ += file_transfers.o friendlist.o global_commands.o group_commands.o groupchat.o help.o input.o
OBJ += line_info.o log.o message_queue.o misc_tools.o name_lookup.o notify.o prompt.o qr_code.o settings.o
OBJ += term_mplex.o toxic.o toxic_strings.o windows.o

# Check on wich system we are running
UNAME_S = $(shell uname -s)
ifeq ($(UNAME_S), Linux)
    -include $(CFG_DIR)/systems/Linux.mk
endif
ifeq ($(UNAME_S), FreeBSD)
    -include $(CFG_DIR)/systems/FreeBSD.mk
endif
ifeq ($(UNAME_S), DragonFly)
    -include $(CFG_DIR)/systems/FreeBSD.mk
endif
ifeq ($(UNAME_S), OpenBSD)
    -include $(CFG_DIR)/systems/FreeBSD.mk
endif
ifeq ($(UNAME_S), Darwin)
    -include $(CFG_DIR)/systems/Darwin.mk
endif
ifeq ($(UNAME_S), Solaris)
    -include $(CFG_DIR)/systems/Solaris.mk
endif

# Check on which platform we are running
UNAME_M = $(shell uname -m)
ifeq ($(UNAME_M), x86_64)
    -include $(CFG_DIR)/platforms/x86_64.mk
endif
ifneq ($(filter %86, $(UNAME_M)),)
    -include $(CFG_DIR)/platforms/x86.mk
endif
ifneq ($(filter arm%, $(UNAME_M)),)
    -include $(CFG_DIR)/platforms/arm.mk
endif

# Include all needed checks
-include $(CFG_DIR)/checks/check_features.mk

# Fix path for object files
OBJ := $(addprefix $(BUILD_DIR)/, $(OBJ))

# Targets
all: $(BUILD_DIR)/toxic

$(BUILD_DIR)/toxic: $(OBJ)
	@echo "  LD    $(@:$(BUILD_DIR)/%=%)"
	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/toxic $(OBJ) $(LDFLAGS)

$(BUILD_DIR)/osx_video.o: $(SRC_DIR)/$(OSX_VIDEO)
	@echo "  CC    $(@:$(BUILD_DIR)/)osx_video.o"
	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/osx_video.o -c $(SRC_DIR)/$(OSX_VIDEO)

$(BUILD_DIR)/%.o: $(SRC_DIR)/%.c
	@if [ ! -e $(BUILD_DIR) ]; then \
		mkdir -p $(BUILD_DIR) ;\
	fi
	@echo "  CC    $(@:$(BUILD_DIR)/%=%)"
	@$(CC) $(CFLAGS) -o $(BUILD_DIR)/$*.o -c $(SRC_DIR)/$*.c
	@$(CC) -MM $(CFLAGS) $(SRC_DIR)/$*.c > $(BUILD_DIR)/$*.d

clean:
	rm -f $(BUILD_DIR)/*.d $(BUILD_DIR)/*.o $(BUILD_DIR)/toxic

-include $(BUILD_DIR)/$(OBJ:.o=.d)

-include $(CFG_DIR)/targets/*.mk

.PHONY: clean all

=== debian/changelog ===
toxic (201705051709~f858714mx17+1) mx; urgency=medium

  * Rebuild for MX-17
  
 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 02 Jul 2017 22:30:34 -0400

toxic (201705051709~f858714) unstable; urgency=low

  * Build upstream version from git (@f858714edde8186d27a1f4e9a93ee3abcf1d8166)

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 05 May 2017 17:09:08 +0300

=== debian/control ===
Source: toxic
Section: net
Priority: optional
Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1),
 lsb-release, pkg-config, asciidoc, gettext,
 libconfig-dev, libncursesw5-dev, libqrencode-dev, libx11-dev, libnotify-dev, libcurl4-openssl-dev,
 libopenal-dev, libalut-dev,
 libvpx-dev | tox-libvpx-dev,
 libopus-dev | tox-libopus-dev,
 libsodium-dev (>= 0.5.0) | tox-libsodium-dev,
 tox-libtoxcore-dev
Maintainer: Anton Batenev <antonbatenev@yandex.ru>
Standards-Version: 3.9.4
Homepage: https://github.com/Tox/toxic

Package: toxic
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: toxic-nox
Architecture: any
Description: Ncurses-based CLI tox-based instant messenging client
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

Package: toxic-dbg
Section: debug
Priority: extra
Depends: toxic (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debug symbols for toxic
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

Package: toxic-nox
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: toxic
Architecture: any
Description: Ncurses-based CLI tox-based instant messenging client (without X support)
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

Package: toxic-nox-dbg
Section: debug
Priority: extra
Depends: toxic-nox (= ${binary:Version}), ${misc:Depends}
Architecture: any
Description: Debug symbols for toxic-nox
 Tox aims to be an easy to use, all-in-one communication platform
 that ensures their users full privacy and secure message delivery.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

PROJECT    = tox
PREFIX     = /usr
LIBDIR     = $(PREFIX)/$(PROJECT)/lib
INCLUDEDIR = $(PREFIX)/$(PROJECT)/include

CFLAGS  += -I$(INCLUDEDIR)
LDFLAGS += -L$(LIBDIR)

USER_CFLAGS     := $(CFLAGS)
USER_CFLAGS_NOX := $(USER_CFLAGS)

USER_LDFLAGS     := $(LDFLAGS)
USER_LDFLAGS_NOX := $(USER_LDFLAGS)

USER_BUILD_DIR     := $(CURDIR)/build-toxic
USER_BUILD_DIR_NOX := $(USER_BUILD_DIR)-nox

USER_DEST_DIR     := $(CURDIR)/toxic
USER_DEST_DIR_NOX := $(USER_DEST_DIR)-nox

USER_MAKE_ARGS     :=
USER_MAKE_ARGS_NOX := $(USER_MAKE_ARGS) DISABLE_X11=1 DISABLE_AV=1 DISABLE_SOUND_NOTIFY=1 DISABLE_DESKTOP_NOTIFY=1

export PKG_CONFIG_PATH=$(shell pkg-config --variable pc_path pkg-config):$(LIBDIR)/pkgconfig

override_dh_auto_configure:
	debian/patch.sh

override_dh_auto_build:
	make PREFIX="$(PREFIX)" BUILD_DIR="$(USER_BUILD_DIR)"     USER_CFLAGS="$(USER_CFLAGS)"     USER_LDFLAGS="$(USER_LDFLAGS)"     $(USER_MAKE_ARGS)
	make PREFIX="$(PREFIX)" BUILD_DIR="$(USER_BUILD_DIR_NOX)" USER_CFLAGS="$(USER_CFLAGS_NOX)" USER_LDFLAGS="$(USER_LDFLAGS_NOX)" $(USER_MAKE_ARGS_NOX)

override_dh_auto_test:
	/bin/true

override_dh_auto_install:
	make PREFIX="$(PREFIX)" BUILD_DIR="$(USER_BUILD_DIR)"     DESTDIR="$(USER_DEST_DIR)"     $(USER_MAKE_ARGS)     install
	make PREFIX="$(PREFIX)" BUILD_DIR="$(USER_BUILD_DIR_NOX)" DESTDIR="$(USER_DEST_DIR_NOX)" $(USER_MAKE_ARGS_NOX) install

	# useless files without X11
	rm -rf "$(USER_DEST_DIR_NOX)/usr/share/applications"
	rm -rf "$(USER_DEST_DIR_NOX)/usr/share/toxic/sounds"

override_dh_install:
	dh_install --package=toxic     --sourcedir="$(USER_DEST_DIR)"
	dh_install --package=toxic-nox --sourcedir="$(USER_DEST_DIR_NOX)"

override_dh_strip:
	dh_strip --package=toxic     --dbg-package=toxic-dbg
	dh_strip --package=toxic-nox --dbg-package=toxic-nox-dbg

override_dh_auto_clean:
	rm -rf "$(USER_BUILD_DIR)"
	rm -rf "$(USER_BUILD_DIR_NOX)"
	rm -rf "$(USER_DEST_DIR)"
	rm -rf "$(USER_DEST_DIR_NOX)"

override_dh_shlibdeps:
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(LIBDIR) dh_shlibdeps

%:
	dh $@ --parallel
